regfish
TLS certificates
v1.6.2
Download OpenAPI
Update TLS organization
Update the local TLS organization contact data used for readiness checks and order completion.
PATCH
/tls/organization/{organization_id}
TLSOrganizationsByID

Authentication

x-api-keyapplication/json

Parameters

Name
Type
Format
Required
Description
organization_id
path
string
β€”
Required
Public TLS organization ID

Request body

application/jsonRequired
Partial TLS organization payload
tlsOrganizationPatchRequest
tlsOrganizationPatchRequest
{
  "edit_mode": "create_replacement",
  "organization": "example",
  "first_name": "example",
  "last_name": "example"
}

Fields

Name
Type
Format
Required
Description
edit_mode
create_replacement, update_provider
string
β€”
Optional
β€”
organization
string
β€”
Optional
β€”
first_name
string
β€”
Optional
β€”
last_name
string
β€”
Optional
β€”
address
string
β€”
Optional
β€”
postal_code
string
β€”
Optional
β€”
city
string
β€”
Optional
β€”
country_code
string
β€”
Optional
β€”
phone
string
β€”
Optional
β€”
email
string
β€”
Optional
β€”

Request example

PATCH
curl --request PATCH \
  --url 'https://api.regfish.com/tls/organization/hdl_7K9QW3M2ZT8HJ' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'content-type: application/json' \
  --data '{
  "edit_mode": "create_replacement",
  "organization": "example",
  "first_name": "example",
  "last_name": "example"
}'

Responses

200
TLS organization updated
application/jsontlsOrganizationResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": {
    "id": "hdl_7K9QW3M2ZT8HJ",
    "organization": "example",
    "status": "ready",
    "usable_for_ordering": true,
    "first_name": "example",
    "last_name": "example",
    "address": "example",
    "postal_code": "example",
    "city": "example",
    "country_code": "example",
    "phone": "example",
    "email": "example"
  }
}
400
Invalid request payload
application/jsonError
Response example 400
{
  "success": false,
  "message": "Invalid request payload",
  "error": "Invalid request payload"
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
TLS organization not found
application/jsonError
Response example 404
{
  "success": false,
  "message": "TLS organization not found",
  "error": "TLS organization not found"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Community

Become part of the community

The Regfish DNS API is a great solution for developers who want to automate domains and DNS zones. Become part of the community and benefit from DNS automation. The DNS API is available free of charge to every Regfish customer.

Cart
Β 
Total
€0.00
All prices include VAT.
We use cookies to provide the best possible experience. Choose your preferences for cookie usage. Privacy policy